%define _version 3.0.2
%define _release C7stackguard

Name: qpopper
Version: %{_version}
Release: %{_release}
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper%{version}.tar.gz
Patch0: qpopper-shell.patch
Summary: POP3 daemon from Qualcomm
Packager: Duncan Laurie <duncan@cobalt.com>

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

%prep
%setup -n qpopper%{version}
%patch0 -p1 -b .shell

%build
# stackguard
PATH=/usr/sg/bin:$PATH
export PATH

./configure --prefix=/usr               \
            --enable-apop=/etc/pop.auth \
	    --with-popuid=admin         \
            --with-pam=qpop             \
	    --enable-log-login		\
	    --enable-specialauth        \
            --enable-shy                \
	    --enable-servermode

make "CFLAGS=-DCHECK_SHELL=1"

%install
# stackguard
PATH=/usr/sg/bin:$PATH
export PATH

install -s popper/popper /usr/sbin/in.qpopper
install -s popper/popauth /usr/sbin/popauth

gzip -9 man/pop{auth,per}.8
install man/popper.8.gz /usr/man/man8/in.qpopper.8.gz
install man/popauth.8.gz /usr/man/man8/popauth.8.gz

%pre
useradd -M -o -r -d '/etc' -s '' -c 'APOP' -u 17 pop >/dev/null 2>&1 || :

%post
# Change /etc/inetd.conf to use in.qpopper
mv /etc/inetd.conf /etc/inetd.conf.noqpopper
sed -e "s/ipop3d/in.qpopper -R/g" /etc/inetd.conf.noqpopper > /etc/inetd.conf 2> /dev/null
# initialize the APOP database
#echo "y" | /usr/sbin/popauth -init >/dev/null 2>&1 || :

%postun
if [ $1 = 0 ]; then
    rm -f /etc/pop.auth
    userdel pop  >/dev/null 2>&1 || :
    groupdel pop >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc INSTALL doc/Release.Notes
/usr/sbin/in.qpopper
/usr/man/man8/in.qpopper.8.gz
%attr(755,pop,pop) /usr/sbin/popauth
/usr/man/man8/popauth.8.gz

%changelog
* Wed Sep 09 2001 Ge' Weijers <ge.weijers@sun.com> 3.0.2-C7stackguard
- stackguard build

* Tue Jul 25 2000 Jeff Lovell <jlovell@cobalt.com> 3.0.2-C6
- enabled --enable-log-login (this was default in 2.5.x)

* Mon Jul 24 2000 Jeff Lovell <jlovell@cobalt.com> 3.0.2-C5
- changed popauth to user admin for raq3

* Thu Jun 21 2000 Duncan Laurie <duncan@cobalt.com> 3.0.2-C2
- popauth user is now "pop"
- fix permissions on popauth
- compile with hidden variable CHECK_SHELL to enforce user suspension

* Thu May 18 2000 Duncan Laurie <duncan@cobalt.com> 3.0.2-C1
- Tweaks to the maillock refresh algorithm to avoid a
  performance hit; this should help complaints of slow response and some
  cases of client timeouts with 3.0.

* Sun May 07 2000 Duncan Laurie <duncan@cobalt.com>
- build for v3.0.1 (fix security bug)

* Mon May 01 2000 Duncan Laurie <duncan@cobalt.com>
- build for v3.0
- fix configure options that changed (--with-apopuid -> --with-popuid)

* Tue Aug 03 1999 Duncan Laurie <duncan@cobaltnet.com>
- don't pad extra byte to length of keys in pop.auth database
  because i can't do the same in perl

* Tue Aug 03 1999 Duncan Laurie <duncan@cobaltnet.com>
- disable flock (broken)

* Thu Jul 29 1999 Duncan Laurie <duncan@cobaltnet.com>
- enable APOP

* Thu Mar 15 1999 Duncan Laurie <duncan@cobaltnet.com>
- compile with --enable-servermode to eliminate
  the .pop file in users home dir
- enable extened logging for pop-before-smtp

* Sat Jan 2 1999 Sridhar Gopal <gsri@cobaltnet.com>
- import pam patch
- import cobalt patch

